List API paths
Project-scoped operation. Requires the api_security add-on. Successful JSON and status-only responses vary by operation. The service does not declare a stable response schema for this operation; do not assume a collection envelope or undocumented fields.
GET
/
shield
/
domains
/
{domain_id}
/
api-paths
List API paths
curl --request GET \
--url https://api.aptranet.com/shield/domains/{domain_id}/api-paths \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/shield/domains/{domain_id}/api-paths"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/shield/domains/{domain_id}/api-paths', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/shield/domains/{domain_id}/api-paths"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"error_description": "<string>"
}Authorizations
Project API access key.
Current secret for the access key.
Path Parameters
Query Parameters
Available options:
id, path, method, api_version, http_scheme, first_detected, last_detected, status, source, -id, -path, -method, -api_version, -http_scheme, -first_detected, -last_detected, -status, -source Maximum string length:
1024Available options:
GET, POST, PUT, PATCH, DELETE, TRACE, HEAD, OPTIONS Maximum string length:
32Available options:
HTTP, HTTPS Available options:
CONFIRMED_API, POTENTIAL_API, NOT_API, DELISTED_API Available options:
API_DESCRIPTION_FILE, TRAFFIC_SCAN, USER_DEFINED Required range:
0 <= x <= 10Required range:
0 <= x <= 100000Response
Successful response.
List API paths
curl --request GET \
--url https://api.aptranet.com/shield/domains/{domain_id}/api-paths \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/shield/domains/{domain_id}/api-paths"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/shield/domains/{domain_id}/api-paths', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/shield/domains/{domain_id}/api-paths"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"error_description": "<string>"
}